<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
  /**
   * Run the migrations.
   */
  public function up(): void
  {
    Schema::create('attendance_teacher_rel', function (Blueprint $table) {
      $table->id();

      $table->unsignedBigInteger('teacher_id');
      $table
        ->foreign('teacher_id')
        ->references('id')
        ->on('teachers')
        ->onDelete('cascade');

      $table->unsignedBigInteger('attendance_id');
      $table
        ->foreign('attendance_id')
        ->references('id')
        ->on('attendance')
        ->onDelete('cascade');

      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   */
  public function down(): void
  {
    Schema::dropIfExists('attendance_teacher_rel');
  }
};
